=== modified file '.bzrignore'
--- .bzrignore	2011-11-04 21:06:16 +0000
+++ .bzrignore	2011-11-05 03:32:21 +0000
@@ -306,6 +306,7 @@
 support-files/drizzle7.pc
 support-files/drizzle.server
 support-files/drizzle.spec
+support-files/libdrizzle.pc
 support-files/libdrizzle-1.0.pc
 support-files/libdrizzle-2.0.pc
 support-files/libdrizzleclient.pc

=== modified file 'Makefile.am'
--- Makefile.am	2011-11-04 21:06:16 +0000
+++ Makefile.am	2011-11-05 03:32:21 +0000
@@ -41,6 +41,8 @@
 man_MANS =
 bin_PROGRAMS =
 
+nobase_include_HEADERS=
+
 # scripts or bin_scripts
 dist_bin_SCRIPTS=
 # sbin_scripts
@@ -134,7 +136,6 @@
 	  echo '#define SHAREDSTATEDIR "$(sharedstatedir)"'; \
 	  echo '#define LOCALSTATEDIR "$(localstatedir)"'; \
 	  echo '#define INCLUDEDIR "$(includedir)"'; \
-	  echo '#define OLDINCLUDEDIR "$(oldincludedir)"'; \
 	  echo '#define DOCDIR "$(docdir)"'; \
 	  echo '#define INFODIR "$(infodir)"'; \
 	  echo '#define HTMLDIR "$(htmldir)"'; \

=== modified file 'configure.ac'
--- configure.ac	2011-11-06 19:00:34 +0000
+++ configure.ac	2011-11-07 22:27:02 +0000
@@ -20,7 +20,7 @@
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
 dnl Version from the AC_INIT call below is overridden later
 dnl So don't update it here
-AC_INIT([drizzle7],[7],[http://bugs.launchpad.net/drizzle])
+AC_INIT([drizzle7],[7],[http://bugs.launchpad.net/drizzle],[drizzle7],[http://drizzle.org/])
 AC_CONFIG_SRCDIR([drizzled/drizzled.cc])
 AC_CONFIG_AUX_DIR([config])
 
@@ -56,16 +56,6 @@
 #                         changed
 AC_SUBST(OLDLIBDRIZZLE_LIBRARY_VERSION)
 
-libdrizzleincludedir='${includedir}/libdrizzle-2.0'
-libdrizzleinstalldir='${libdrizzleincludedir}/libdrizzle'
-AC_SUBST(libdrizzleinstalldir)
-AC_SUBST(libdrizzleincludedir)
-
-oldlibdrizzleincludedir='${includedir}/libdrizzle-1.0'
-oldlibdrizzleinstalldir='${oldlibdrizzleincludedir}/libdrizzle'
-AC_SUBST(oldlibdrizzleinstalldir)
-AC_SUBST(oldlibdrizzleincludedir)
-
 # libdrizzle versioning when linked with GNU ld.
 AS_IF([test "$lt_cv_prog_gnu_ld" = "yes"],[
   LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_srcdir)/config/drizzle.ver"
@@ -180,6 +170,7 @@
  tests/Makefile dnl
  drizzled/plugin/version.h dnl
  support-files/drizzle7.pc dnl
+ support-files/libdrizzle.pc dnl
  support-files/libdrizzle-1.0.pc dnl
  support-files/libdrizzle-2.0.pc dnl
  support-files/smf/install.sh dnl

=== modified file 'libdrizzle-1.0/column.c'
--- libdrizzle-1.0/column.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/column.c	2011-11-07 15:04:16 +0000
@@ -40,7 +40,7 @@
  * @brief Column definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Private variables.

=== modified file 'libdrizzle-1.0/column_client.h'
--- libdrizzle-1.0/column_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/column_client.h	2011-11-07 15:04:16 +0000
@@ -34,15 +34,13 @@
  *
  */
 
+#pragma once
 
 /**
  * @file
  * @brief Column Declarations for Clients
  */
 
-#ifndef __DRIZZLE_COLUMN_CLIENT_H
-#define __DRIZZLE_COLUMN_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -125,5 +123,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_COLUMN_CLIENT_H */

=== modified file 'libdrizzle-1.0/column_server.h'
--- libdrizzle-1.0/column_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/column_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Column Declarations for Servers
  */
 
-#ifndef __DRIZZLE_COLUMN_SERVER_H
-#define __DRIZZLE_COLUMN_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -145,5 +144,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_COLUMN_SERVER_H */

=== modified file 'libdrizzle-1.0/command.c'
--- libdrizzle-1.0/command.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/command.c	2011-11-07 15:04:16 +0000
@@ -40,7 +40,7 @@
  * @brief Command definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Private variables.

=== modified file 'libdrizzle-1.0/common.h'
--- libdrizzle-1.0/common.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/common.h	2011-11-07 15:04:16 +0000
@@ -39,13 +39,12 @@
  * @brief System Include Files
  */
 
-#ifndef __DRIZZLE_COMMON_H
-#define __DRIZZLE_COMMON_H
+#pragma once
 
 #include <config.h>
 
-#include "drizzle_client.h"
-#include "drizzle_server.h"
+#include "libdrizzle-1.0/drizzle_client.h"
+#include "libdrizzle-1.0/drizzle_server.h"
 
 #include <assert.h>
 #include <errno.h>
@@ -61,10 +60,8 @@
 #include <string.h>
 #include <signal.h>
 
-#include "drizzle_local.h"
-#include "conn_local.h"
-#include "pack.h"
-#include "state.h"
-#include "sha1.h"
-
-#endif /* __DRIZZLE_COMMON_H */
+#include <libdrizzle-1.0/drizzle_local.h>
+#include <libdrizzle-1.0/conn_local.h>
+#include <libdrizzle-1.0/pack.h>
+#include <libdrizzle-1.0/state.h>
+#include <libdrizzle-1.0/sha1.h>

=== modified file 'libdrizzle-1.0/conn.c'
--- libdrizzle-1.0/conn.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/conn.c	2011-11-07 15:04:16 +0000
@@ -40,7 +40,7 @@
  * @brief Connection Definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /**
  * @addtogroup drizzle_con_static Static Connection Declarations
@@ -487,6 +487,12 @@
 {
   drizzle_result_st *old_result;
 
+  drizzle_return_t unused;
+  if (ret_ptr == NULL)
+  {
+    ret_ptr= &unused;
+  }
+
   if (!(con->options & DRIZZLE_CON_READY))
   {
     if (con->options & DRIZZLE_CON_RAW_PACKET)

=== modified file 'libdrizzle-1.0/conn.h'
--- libdrizzle-1.0/conn.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/conn.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Connection Declarations
  */
 
-#ifndef __DRIZZLE_CONN_H
-#define __DRIZZLE_CONN_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -429,5 +428,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CONN_H */

=== modified file 'libdrizzle-1.0/conn_client.h'
--- libdrizzle-1.0/conn_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/conn_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Connection Declarations for Clients
  */
 
-#ifndef __DRIZZLE_CON_CLIENT_H
-#define __DRIZZLE_CON_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -191,5 +190,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CON_CLIENT_H */

=== modified file 'libdrizzle-1.0/conn_local.h'
--- libdrizzle-1.0/conn_local.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/conn_local.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Local Connection Declarations
  */
 
-#ifndef __DRIZZLE_CONN_LOCAL_H
-#define __DRIZZLE_CONN_LOCAL_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -117,5 +116,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CONN_LOCAL_H */

=== modified file 'libdrizzle-1.0/conn_server.h'
--- libdrizzle-1.0/conn_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/conn_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Connection Declarations for Servers
  */
 
-#ifndef __DRIZZLE_CON_SERVER_H
-#define __DRIZZLE_CON_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -220,5 +219,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CON_SERVER_H */

=== modified file 'libdrizzle-1.0/conn_uds.c'
--- libdrizzle-1.0/conn_uds.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/conn_uds.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Connection Definitions for Unix Domain Sockets
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 const char *drizzle_con_uds(const drizzle_con_st *con)
 {

=== modified file 'libdrizzle-1.0/constants.h'
--- libdrizzle-1.0/constants.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/constants.h	2011-11-07 15:04:16 +0000
@@ -1,6 +1,7 @@
 /*
  * Drizzle Client & Protocol Library
  *
+ * Copyright (C) 2011 Brian Aker (brian@tangent.org)
  * Copyright (C) 2008 Eric Day (eday@oddments.org)
  * All rights reserved.
  *
@@ -34,14 +35,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Defines, typedefs, enums, and macros
  */
 
-#ifndef __DRIZZLE_CONSTANTS_H
-#define __DRIZZLE_CONSTANTS_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -93,7 +93,7 @@
 /**
  * Return codes.
  */
-typedef enum
+enum drizzle_return_t
 {
   DRIZZLE_RETURN_OK,
   DRIZZLE_RETURN_IO_WAIT,
@@ -120,13 +120,18 @@
   DRIZZLE_RETURN_NO_ACTIVE_CONNECTIONS,
   DRIZZLE_RETURN_HANDSHAKE_FAILED,
   DRIZZLE_RETURN_TIMEOUT,
+  DRIZZLE_RETURN_INVALID_ARGUMENT,
   DRIZZLE_RETURN_MAX /* Always add new codes to the end before this one. */
-} drizzle_return_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_return_t drizzle_return_t;
+#endif
 
 /**
  * Verbosity levels.
  */
-typedef enum
+enum drizzle_verbose_t
 {
   DRIZZLE_VERBOSE_NEVER,
   DRIZZLE_VERBOSE_FATAL,
@@ -135,7 +140,11 @@
   DRIZZLE_VERBOSE_DEBUG,
   DRIZZLE_VERBOSE_CRAZY,
   DRIZZLE_VERBOSE_MAX
-} drizzle_verbose_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_verbose_t drizzle_verbose_t;
+#endif
 
 /** @} */
 
@@ -143,20 +152,24 @@
  * @ingroup drizzle
  * Options for drizzle_st.
  */
-typedef enum
+enum drizzle_options_t
 {
   DRIZZLE_NONE=            0,
   DRIZZLE_ALLOCATED=       (1 << 0),
   DRIZZLE_NON_BLOCKING=    (1 << 1),
   DRIZZLE_FREE_OBJECTS=    (1 << 2),
   DRIZZLE_ASSERT_DANGLING= (1 << 3)
-} drizzle_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_options_t drizzle_options_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Options for drizzle_con_st.
  */
-typedef enum
+enum drizzle_con_options_t
 {
   DRIZZLE_CON_NONE=             0,
   DRIZZLE_CON_ALLOCATED=        (1 << 0),
@@ -172,23 +185,31 @@
   DRIZZLE_CON_INTERACTIVE=      (1 << 11),
   DRIZZLE_CON_MULTI_STATEMENTS= (1 << 12),
   DRIZZLE_CON_AUTH_PLUGIN=      (1 << 13)
-} drizzle_con_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_con_options_t drizzle_con_options_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Socket types for drizzle_con_st.
  */
-typedef enum
+enum drizzle_con_socket_t
 {
   DRIZZLE_CON_SOCKET_TCP= 0,
   DRIZZLE_CON_SOCKET_UDS= (1 << 0)
-} drizzle_con_socket_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_con_socket_t drizzle_con_socket_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Status flags for drizle_con_st.
  */
-typedef enum
+enum drizzle_con_status_t
 {
   DRIZZLE_CON_STATUS_NONE=                     0,
   DRIZZLE_CON_STATUS_IN_TRANS=                 (1 << 0),
@@ -201,13 +222,17 @@
   DRIZZLE_CON_STATUS_DB_DROPPED=               (1 << 8),
   DRIZZLE_CON_STATUS_NO_BACKSLASH_ESCAPES=     (1 << 9),
   DRIZZLE_CON_STATUS_QUERY_WAS_SLOW=           (1 << 10)
-} drizzle_con_status_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_con_status_t drizzle_con_status_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Capabilities for drizzle_con_st.
  */
-typedef enum
+enum drizzle_capabilities_t
 {
   DRIZZLE_CAPABILITIES_NONE=                   0,
   DRIZZLE_CAPABILITIES_LONG_PASSWORD=          (1 << 0),
@@ -240,13 +265,17 @@
                                 DRIZZLE_CAPABILITIES_TRANSACTIONS |
                                 DRIZZLE_CAPABILITIES_PROTOCOL_41 |
                                 DRIZZLE_CAPABILITIES_SECURE_CONNECTION)
-} drizzle_capabilities_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_capabilities_t drizzle_capabilities_t;
+#endif
 
 /**
  * @ingroup drizzle_command 
  * Commands for drizzle_command functions.
  */
-typedef enum
+enum drizzle_command_t
 {
   DRIZZLE_COMMAND_SLEEP,               /* Not used currently. */
   DRIZZLE_COMMAND_QUIT,
@@ -279,13 +308,17 @@
   DRIZZLE_COMMAND_STMT_FETCH,          /* Not used currently. */
   DRIZZLE_COMMAND_DAEMON,              /* Not used currently. */
   DRIZZLE_COMMAND_END                  /* Not used currently. */
-} drizzle_command_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_command_t drizzle_command_t;
+#endif
 
 /**
  * @ingroup drizzle_command 
  * Commands for the Drizzle protocol functions.
  */
-typedef enum
+enum drizzle_command_drizzle_t
 {
   DRIZZLE_COMMAND_DRIZZLE_SLEEP,
   DRIZZLE_COMMAND_DRIZZLE_QUIT,
@@ -296,35 +329,47 @@
   DRIZZLE_COMMAND_DRIZZLE_PING,
   DRIZZLE_COMMAND_DRIZZLE_KILL,
   DRIZZLE_COMMAND_DRIZZLE_END
-} drizzle_command_drizzle_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_command_drizzle_t drizzle_command_drizzle_t;
+#endif
 
 /**
  * @ingroup drizzle_query
  * Options for drizzle_query_st.
  */
-typedef enum
+enum drizzle_query_options_t
 {
   DRIZZLE_QUERY_NONE,
   DRIZZLE_QUERY_ALLOCATED= (1 << 0)
-} drizzle_query_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_query_options_t drizzle_query_options_t;
+#endif
 
 /**
  * @ingroup drizzle_query
  * States for drizle_query_st.
  */
-typedef enum
+enum drizzle_query_state_t
 {
   DRIZZLE_QUERY_STATE_INIT,
   DRIZZLE_QUERY_STATE_QUERY,
   DRIZZLE_QUERY_STATE_RESULT,
   DRIZZLE_QUERY_STATE_DONE
-} drizzle_query_state_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_query_state_t drizzle_query_state_t;
+#endif
 
 /**
  * @ingroup drizzle_result
  * Options for drizzle_result_st.
  */
-typedef enum
+enum drizzle_result_options_t
 {
   DRIZZLE_RESULT_NONE=          0,
   DRIZZLE_RESULT_ALLOCATED=     (1 << 0),
@@ -333,22 +378,30 @@
   DRIZZLE_RESULT_BUFFER_ROW=    (1 << 3),
   DRIZZLE_RESULT_EOF_PACKET=    (1 << 4),
   DRIZZLE_RESULT_ROW_BREAK=     (1 << 5)
-} drizzle_result_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_result_options_t drizzle_result_options_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Options for drizzle_column_st.
  */
-typedef enum
+enum drizzle_column_options_t
 {
   DRIZZLE_COLUMN_ALLOCATED= (1 << 0)
-} drizzle_column_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_options_t drizzle_column_options_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Types for drizzle_column_st.
  */
-typedef enum
+enum drizzle_column_type_t
 {
   DRIZZLE_COLUMN_TYPE_DECIMAL,
   DRIZZLE_COLUMN_TYPE_TINY,
@@ -377,13 +430,17 @@
   DRIZZLE_COLUMN_TYPE_VAR_STRING=  253,
   DRIZZLE_COLUMN_TYPE_STRING=      254,
   DRIZZLE_COLUMN_TYPE_GEOMETRY=    255
-} drizzle_column_type_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_type_t drizzle_column_type_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Types for drizzle_column_st for Drizzle.
  */
-typedef enum
+enum drizzle_column_type_drizzle_t
 {
   DRIZZLE_COLUMN_TYPE_DRIZZLE_TINY,
   DRIZZLE_COLUMN_TYPE_DRIZZLE_LONG,
@@ -402,13 +459,17 @@
   DRIZZLE_COLUMN_TYPE_DRIZZLE_UUID,
   DRIZZLE_COLUMN_TYPE_DRIZZLE_MICROTIME,
   DRIZZLE_COLUMN_TYPE_DRIZZLE_MAX=DRIZZLE_COLUMN_TYPE_DRIZZLE_MICROTIME
-} drizzle_column_type_drizzle_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_type_drizzle_t drizzle_column_type_drizzle_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Flags for drizzle_column_st.
  */
-typedef enum
+enum drizzle_column_flags_t
 {
   DRIZZLE_COLUMN_FLAGS_NONE=             0,
   DRIZZLE_COLUMN_FLAGS_NOT_NULL=         (1 << 0),
@@ -434,7 +495,11 @@
   DRIZZLE_COLUMN_FLAGS_IN_PART_FUNC=     (1 << 19),
   DRIZZLE_COLUMN_FLAGS_IN_ADD_INDEX=     (1 << 20),
   DRIZZLE_COLUMN_FLAGS_RENAMED=          (1 << 21)
-} drizzle_column_flags_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_flags_t drizzle_column_flags_t;
+#endif
 
 /**
  * @addtogroup drizzle_types Types
@@ -550,5 +615,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CONSTANTS_H */

=== modified file 'libdrizzle-1.0/drizzle.c'
--- libdrizzle-1.0/drizzle.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/drizzle.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Drizzle Definitions
  */
 
-#include "libdrizzle-1.0/common.h"
+#include <libdrizzle-1.0/common.h>
 
 /**
  * @addtogroup drizzle_static Static Drizzle Declarations

=== modified file 'libdrizzle-1.0/drizzle.h'
--- libdrizzle-1.0/drizzle.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/drizzle.h	2011-11-07 15:04:16 +0000
@@ -34,15 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Drizzle Declarations
  */
 
-#ifndef __DRIZZLE_H
-#define __DRIZZLE_H
-
-
 #include <inttypes.h>
 #include <sys/types.h>
 
@@ -435,5 +433,3 @@
 #ifdef  __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_H */

=== modified file 'libdrizzle-1.0/drizzle_local.h'
--- libdrizzle-1.0/drizzle_local.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/drizzle_local.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Local Drizzle Declarations
  */
 
-#ifndef __DRIZZLE_LOCAL_H
-#define __DRIZZLE_LOCAL_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -162,5 +161,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_LOCAL_H */

=== modified file 'libdrizzle-1.0/field.c'
--- libdrizzle-1.0/field.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/field.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Field definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Client definitions

=== modified file 'libdrizzle-1.0/field_client.h'
--- libdrizzle-1.0/field_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/field_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Field Declarations for Clients
  */
 
-#ifndef __DRIZZLE_FIELD_CLIENT_H
-#define __DRIZZLE_FIELD_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -84,5 +83,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_FIELD_CLIENT_H */

=== modified file 'libdrizzle-1.0/field_server.h'
--- libdrizzle-1.0/field_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/field_server.h	2011-11-07 15:04:16 +0000
@@ -39,8 +39,7 @@
  * @brief Field Declarations for Servers
  */
 
-#ifndef __DRIZZLE_FIELD_SERVER_H
-#define __DRIZZLE_FIELD_SERVER_H
+#pragma once
 
 #ifdef __cplusplus
 extern "C" {
@@ -64,5 +63,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_FIELD_SERVER_H */

=== modified file 'libdrizzle-1.0/handshake.c'
--- libdrizzle-1.0/handshake.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/handshake.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Handshake Definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Client Definitions

=== modified file 'libdrizzle-1.0/handshake_client.h'
--- libdrizzle-1.0/handshake_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/handshake_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Handshake Declarations for Clients
  */
 
-#ifndef __DRIZZLE_HANDSHAKE_CLIENT_H
-#define __DRIZZLE_HANDSHAKE_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -81,5 +80,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_HANDSHAKE_CLIENT_H */

=== modified file 'libdrizzle-1.0/handshake_server.h'
--- libdrizzle-1.0/handshake_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/handshake_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Handshake Declarations for Servers
  */
 
-#ifndef __DRIZZLE_HANDSHAKE_SERVER_H
-#define __DRIZZLE_HANDSHAKE_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -79,5 +78,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_HANDSHAKE_SERVER_H */

=== modified file 'libdrizzle-1.0/include.am'
--- libdrizzle-1.0/include.am	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/include.am	2011-11-05 03:32:21 +0000
@@ -63,32 +63,32 @@
 				      libdrizzle-1.0/sha1.c \
 				      libdrizzle-1.0/state.c
 
-dist_oldlibdrizzleinstall_HEADERS= \
-				   libdrizzle-1.0/column.h \
-				   libdrizzle-1.0/column_client.h \
-				   libdrizzle-1.0/column_server.h \
-				   libdrizzle-1.0/command_client.h \
-				   libdrizzle-1.0/command_server.h \
-				   libdrizzle-1.0/conn.h \
-				   libdrizzle-1.0/conn_client.h \
-				   libdrizzle-1.0/conn_server.h \
-				   libdrizzle-1.0/constants.h \
-				   libdrizzle-1.0/drizzle.h \
-				   libdrizzle-1.0/drizzle_client.h \
-				   libdrizzle-1.0/drizzle_server.h \
-				   libdrizzle-1.0/field_client.h \
-				   libdrizzle-1.0/field_server.h \
-				   libdrizzle-1.0/handshake_client.h \
-				   libdrizzle-1.0/handshake_server.h \
-				   libdrizzle-1.0/libdrizzle.h \
-				   libdrizzle-1.0/query.h \
-				   libdrizzle-1.0/result.h \
-				   libdrizzle-1.0/result_client.h \
-				   libdrizzle-1.0/result_server.h \
-				   libdrizzle-1.0/row_client.h \
-				   libdrizzle-1.0/row_server.h \
-				   libdrizzle-1.0/structs.h \
-				   libdrizzle-1.0/visibility.h
+nobase_include_HEADERS+= \
+			 libdrizzle-1.0/column.h \
+			 libdrizzle-1.0/column_client.h \
+			 libdrizzle-1.0/column_server.h \
+			 libdrizzle-1.0/command_client.h \
+			 libdrizzle-1.0/command_server.h \
+			 libdrizzle-1.0/conn.h \
+			 libdrizzle-1.0/conn_client.h \
+			 libdrizzle-1.0/conn_server.h \
+			 libdrizzle-1.0/constants.h \
+			 libdrizzle-1.0/drizzle.h \
+			 libdrizzle-1.0/drizzle_client.h \
+			 libdrizzle-1.0/drizzle_server.h \
+			 libdrizzle-1.0/field_client.h \
+			 libdrizzle-1.0/field_server.h \
+			 libdrizzle-1.0/handshake_client.h \
+			 libdrizzle-1.0/handshake_server.h \
+			 libdrizzle-1.0/libdrizzle.h \
+			 libdrizzle-1.0/query.h \
+			 libdrizzle-1.0/result.h \
+			 libdrizzle-1.0/result_client.h \
+			 libdrizzle-1.0/result_server.h \
+			 libdrizzle-1.0/row_client.h \
+			 libdrizzle-1.0/row_server.h \
+			 libdrizzle-1.0/structs.h \
+			 libdrizzle-1.0/visibility.h
 
 noinst_HEADERS+= \
 		 libdrizzle-1.0/common.h \
@@ -97,10 +97,3 @@
 		 libdrizzle-1.0/pack.h \
 		 libdrizzle-1.0/state.h \
 		 libdrizzle-1.0/sha1.h
-
-libdrizzle-1.0: libdrizzle-1.0/libdrizzle.la
-install-libdrizzle-1.0: libdrizzle-1.0 install-dist_oldlibdrizzleinstallHEADERS
-	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
-	echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) libdrizzle-1.0/libdrizzle.la '$(DESTDIR)$(libdir)'";
-	$(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) libdrizzle-1.0/libdrizzle.la "$(DESTDIR)$(libdir)";
-

=== modified file 'libdrizzle-1.0/pack.c'
--- libdrizzle-1.0/pack.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/pack.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Packing definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Private declarations

=== modified file 'libdrizzle-1.0/pack.h'
--- libdrizzle-1.0/pack.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/pack.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Packing Declarations
  */
 
-#ifndef __DRIZZLE_PACK_H
-#define __DRIZZLE_PACK_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -92,5 +91,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_PACK_H */

=== modified file 'libdrizzle-1.0/query.c'
--- libdrizzle-1.0/query.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/query.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Query definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 drizzle_result_st *drizzle_query(drizzle_con_st *con, drizzle_result_st *result,
                                  const char *query, size_t size,

=== modified file 'libdrizzle-1.0/result.c'
--- libdrizzle-1.0/result.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/result.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Result definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Common definitions
@@ -48,6 +48,11 @@
 drizzle_result_st *drizzle_result_create(drizzle_con_st *con,
                                          drizzle_result_st *result)
 {
+  if (con == NULL)
+  {
+    return NULL;
+  }
+
   if (result == NULL)
   {
     result= malloc(sizeof(drizzle_result_st));
@@ -61,7 +66,9 @@
     result->options|= DRIZZLE_RESULT_ALLOCATED;
   }
   else
+  {
     memset(result, 0, sizeof(drizzle_result_st));
+  }
 
   result->con= con;
   con->result= result;
@@ -79,9 +86,12 @@
                                         drizzle_result_st *result,
                                         drizzle_result_st *from)
 {
+  // A NULL con will return a NULL result
   result= drizzle_result_create(con, result);
   if (result == NULL)
+  {
     return NULL;
+  }
 
   result->options|= (from->options &
                      (drizzle_result_options_t)~DRIZZLE_RESULT_ALLOCATED);
@@ -100,11 +110,18 @@
 
 void drizzle_result_free(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   drizzle_column_st *column;
   uint64_t x;
 
   for (column= result->column_list; column != NULL; column= result->column_list)
+  {
     drizzle_column_free(column);
+  }
 
   free(result->column_buffer);
 
@@ -123,73 +140,142 @@
     if (result->con->result_list == result)
       result->con->result_list= result->next;
   }
+
   if (result->prev)
+  {
     result->prev->next= result->next;
+  }
   if (result->next)
+  {
     result->next->prev= result->prev;
+  }
 
   if (result->options & DRIZZLE_RESULT_ALLOCATED)
+  {
     free(result);
+  }
 }
 
 void drizzle_result_free_all(drizzle_con_st *con)
 {
+  if (con == NULL)
+  {
+    return;
+  }
+
   while (con->result_list != NULL)
+  {
     drizzle_result_free(con->result_list);
+  }
 }
 
 drizzle_con_st *drizzle_result_drizzle_con(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->con;
 }
 
 bool drizzle_result_eof(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return false;
+  }
+
   return result->options & DRIZZLE_RESULT_EOF_PACKET;
 }
 
 const char *drizzle_result_info(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->info;
 }
 
 const char *drizzle_result_error(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->info;
 }
 
 uint16_t drizzle_result_error_code(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->error_code;
 }
 
 const char *drizzle_result_sqlstate(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->sqlstate;
 }
 
 uint16_t drizzle_result_warning_count(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->warning_count;
 }
 
 uint64_t drizzle_result_insert_id(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->insert_id;
 }
 
 uint64_t drizzle_result_affected_rows(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->affected_rows;
 }
 
 uint16_t drizzle_result_column_count(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->column_count;
 }
 
 uint64_t drizzle_result_row_count(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->row_count;
 }
 
@@ -201,6 +287,18 @@
                                        drizzle_result_st *result,
                                        drizzle_return_t *ret_ptr)
 {
+  drizzle_return_t unused;
+  if (ret_ptr == NULL)
+  {
+    ret_ptr= &unused;
+  }
+
+  if (con == NULL)
+  {
+    *ret_ptr= DRIZZLE_RETURN_INVALID_ARGUMENT;
+    return NULL;
+  }
+
   if (drizzle_state_none(con))
   {
     con->result= drizzle_result_create(con, result);
@@ -220,6 +318,11 @@
 
 drizzle_return_t drizzle_result_buffer(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   drizzle_return_t ret;
   drizzle_row_t row;
   drizzle_row_t *row_list;
@@ -288,6 +391,11 @@
 
 size_t drizzle_result_row_size(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->con->packet_size;
 }
 
@@ -298,6 +406,11 @@
 drizzle_return_t drizzle_result_write(drizzle_con_st *con,
                                       drizzle_result_st *result, bool flush)
 {
+  if (con == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   if (drizzle_state_none(con))
   {
     con->result= result;
@@ -313,6 +426,11 @@
 
 void drizzle_result_set_row_size(drizzle_result_st *result, size_t size)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->con->packet_size= size;
 }
 
@@ -320,11 +438,14 @@
                                   const drizzle_field_t *field,
                                   const size_t *size)
 {
-  uint16_t x;
+  if (result == NULL)
+  {
+    return;
+  }
 
   result->con->packet_size= 0;
 
-  for (x= 0; x < result->column_count; x++)
+  for (uint16_t x= 0; x < result->column_count; x++)
   {
     if (field[x] == NULL)
       result->con->packet_size++;
@@ -341,6 +462,11 @@
 
 void drizzle_result_set_eof(drizzle_result_st *result, bool is_eof)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   if (is_eof)
     result->options|= DRIZZLE_RESULT_EOF_PACKET;
   else
@@ -349,8 +475,15 @@
 
 void drizzle_result_set_info(drizzle_result_st *result, const char *info)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   if (info == NULL)
+  {
     result->info[0]= 0;
+  }
   else
   {
     strncpy(result->info, info, DRIZZLE_MAX_INFO_SIZE);
@@ -360,20 +493,37 @@
 
 void drizzle_result_set_error(drizzle_result_st *result, const char *error)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   drizzle_result_set_info(result, error);
 }
 
 void drizzle_result_set_error_code(drizzle_result_st *result,
                                    uint16_t error_code)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->error_code= error_code;
 }
 
 void drizzle_result_set_sqlstate(drizzle_result_st *result,
                                  const char *sqlstate)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   if (sqlstate == NULL)
+  {
     result->sqlstate[0]= 0;
+  }
   else
   {
     strncpy(result->sqlstate, sqlstate, DRIZZLE_MAX_SQLSTATE_SIZE + 1);
@@ -384,24 +534,44 @@
 void drizzle_result_set_warning_count(drizzle_result_st *result,
                                       uint16_t warning_count)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->warning_count= warning_count;
 }
 
 void drizzle_result_set_insert_id(drizzle_result_st *result,
                                   uint64_t insert_id)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->insert_id= insert_id;
 }
 
 void drizzle_result_set_affected_rows(drizzle_result_st *result,
                                       uint64_t affected_rows)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->affected_rows= affected_rows;
 }
 
 void drizzle_result_set_column_count(drizzle_result_st *result,
                                      uint16_t column_count)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->column_count= column_count;
 }
 
@@ -413,6 +583,11 @@
 {
   drizzle_return_t ret;
 
+  if (con == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   drizzle_log_debug(con->drizzle, "drizzle_state_result_read");
 
   /* Assume the entire result packet will fit in the buffer. */
@@ -493,6 +668,11 @@
 
 drizzle_return_t drizzle_state_result_write(drizzle_con_st *con)
 {
+  if (con == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   uint8_t *start= con->buffer_ptr + con->buffer_size;
   uint8_t *ptr;
   drizzle_result_st *result= con->result;

=== modified file 'libdrizzle-1.0/result_client.h'
--- libdrizzle-1.0/result_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/result_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Result Declarations for Clients
  */
 
-#ifndef __DRIZZLE_RESULT_CLIENT_H
-#define __DRIZZLE_RESULT_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -79,5 +78,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_RESULT_CLIENT_H */

=== modified file 'libdrizzle-1.0/result_server.h'
--- libdrizzle-1.0/result_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/result_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Result Declarations for Servers
  */
 
-#ifndef __DRIZZLE_RESULT_SERVER_H
-#define __DRIZZLE_RESULT_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -140,5 +139,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_RESULT_SERVER_H */

=== modified file 'libdrizzle-1.0/row.c'
--- libdrizzle-1.0/row.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/row.c	2011-11-07 15:04:16 +0000
@@ -39,7 +39,7 @@
  * @brief Row definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 /*
  * Client definitions

=== modified file 'libdrizzle-1.0/row_client.h'
--- libdrizzle-1.0/row_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/row_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Row Declarations for Clients
  */
 
-#ifndef __DRIZZLE_ROW_CLIENT_H
-#define __DRIZZLE_ROW_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -129,5 +128,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_ROW_CLIENT_H */

=== modified file 'libdrizzle-1.0/row_server.h'
--- libdrizzle-1.0/row_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/row_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Row Declarations for Servers
  */
 
-#ifndef __DRIZZLE_ROW_SERVER_H
-#define __DRIZZLE_ROW_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -65,5 +64,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_ROW_SERVER_H */

=== modified file 'libdrizzle-1.0/sha1.c'
--- libdrizzle-1.0/sha1.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/sha1.c	2011-11-07 15:04:16 +0000
@@ -21,7 +21,7 @@
  *   34AA973C D4C4DAA4 F61EEB2B DBAD2731 6534016F
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 #define rol(value, bits) (((value) << (bits)) | ((value) >> (32 - (bits))))
 

=== modified file 'libdrizzle-1.0/sha1.h'
--- libdrizzle-1.0/sha1.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/sha1.h	2011-11-07 15:04:16 +0000
@@ -1,11 +1,10 @@
+#pragma once
+
 /**
  * @file
  * @brief SHA1 Declarations
  */
 
-#ifndef _SHA1_H
-#define _SHA1_H
-
 #ifdef  __cplusplus
 extern "C" {
 #endif
@@ -43,5 +42,3 @@
 #ifdef  __cplusplus
 }
 #endif
-
-#endif /* _SHA1_H */

=== modified file 'libdrizzle-1.0/state.c'
--- libdrizzle-1.0/state.c	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/state.c	2011-11-07 15:04:16 +0000
@@ -39,15 +39,13 @@
  * @brief State machine definitions
  */
 
-#include "common.h"
+#include <libdrizzle-1.0/common.h>
 
 drizzle_return_t drizzle_state_loop(drizzle_con_st *con)
 {
-  drizzle_return_t ret;
-
-  while (!drizzle_state_none(con))
+  while (drizzle_state_none(con) == false)
   {
-    ret= con->state_stack[con->state_current - 1](con);
+    drizzle_return_t ret= con->state_stack[con->state_current - 1](con);
     if (ret != DRIZZLE_RETURN_OK)
     {
       if (ret != DRIZZLE_RETURN_IO_WAIT && ret != DRIZZLE_RETURN_PAUSE &&

=== modified file 'libdrizzle-1.0/state.h'
--- libdrizzle-1.0/state.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-1.0/state.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief State Machine Declarations
  */
 
-#ifndef __DRIZZLE_STATE_H
-#define __DRIZZLE_STATE_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -107,5 +106,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_STATE_H */

=== modified file 'libdrizzle-2.0/column.h'
--- libdrizzle-2.0/column.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/column.h	2011-11-07 15:04:16 +0000
@@ -34,6 +34,7 @@
  *
  */
 
+#pragma once
 
 /**
  * @file

=== modified file 'libdrizzle-2.0/column_client.h'
--- libdrizzle-2.0/column_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/column_client.h	2011-11-07 15:04:16 +0000
@@ -40,8 +40,7 @@
  * @brief Column Declarations for Clients
  */
 
-#ifndef __DRIZZLE_COLUMN_CLIENT_H
-#define __DRIZZLE_COLUMN_CLIENT_H
+#pragma once
 
 #ifdef __cplusplus
 extern "C" {
@@ -124,5 +123,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_COLUMN_CLIENT_H */

=== modified file 'libdrizzle-2.0/column_server.h'
--- libdrizzle-2.0/column_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/column_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Column Declarations for Servers
  */
 
-#ifndef __DRIZZLE_COLUMN_SERVER_H
-#define __DRIZZLE_COLUMN_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -145,5 +144,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_COLUMN_SERVER_H */

=== modified file 'libdrizzle-2.0/command_client.h'
--- libdrizzle-2.0/command_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/command_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Command Declarations for Clients
  */
 
-#ifndef __DRIZZLE_COMMAND_CLIENT_H
-#define __DRIZZLE_COMMAND_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -60,5 +59,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_COMMAND_CLIENT_H */

=== modified file 'libdrizzle-2.0/command_server.h'
--- libdrizzle-2.0/command_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/command_server.h	2011-11-07 15:04:16 +0000
@@ -34,15 +34,13 @@
  *
  */
 
+#pragma once
 
 /**
  * @file
  * @brief Command Declarations for Servers
  */
 
-#ifndef __DRIZZLE_COMMAND_SERVER_H
-#define __DRIZZLE_COMMAND_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -60,5 +58,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_COMMAND_SERVER_H */

=== modified file 'libdrizzle-2.0/conn.cc'
--- libdrizzle-2.0/conn.cc	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/conn.cc	2011-11-07 15:04:16 +0000
@@ -478,6 +478,12 @@
 {
   drizzle_result_st *old_result;
 
+  drizzle_return_t unused;
+  if (ret_ptr == NULL)
+  {
+    ret_ptr= &unused;
+  }
+
   if (!(con->options & DRIZZLE_CON_READY))
   {
     if (con->options & DRIZZLE_CON_RAW_PACKET)
@@ -490,13 +496,17 @@
 
     *ret_ptr= drizzle_con_connect(con);
     if (*ret_ptr != DRIZZLE_RETURN_OK)
+    {
       return result;
+    }
   }
 
   if (drizzle_state_none(con))
   {
     if (con->options & (DRIZZLE_CON_RAW_PACKET | DRIZZLE_CON_NO_RESULT_READ))
+    {
       con->result= NULL;
+    }
     else
     {
       for (old_result= con->result_list; old_result != NULL; old_result= old_result->next)

=== modified file 'libdrizzle-2.0/conn.h'
--- libdrizzle-2.0/conn.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/conn.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Connection Declarations
  */
 
-#ifndef __DRIZZLE_CONN_H
-#define __DRIZZLE_CONN_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -429,5 +428,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CONN_H */

=== modified file 'libdrizzle-2.0/conn_client.h'
--- libdrizzle-2.0/conn_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/conn_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Connection Declarations for Clients
  */
 
-#ifndef __DRIZZLE_CON_CLIENT_H
-#define __DRIZZLE_CON_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -191,5 +190,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CON_CLIENT_H */

=== modified file 'libdrizzle-2.0/conn_local.h'
--- libdrizzle-2.0/conn_local.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/conn_local.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Local Connection Declarations
  */
 
-#ifndef __DRIZZLE_CONN_LOCAL_H
-#define __DRIZZLE_CONN_LOCAL_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -117,5 +116,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CONN_LOCAL_H */

=== modified file 'libdrizzle-2.0/conn_server.h'
--- libdrizzle-2.0/conn_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/conn_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Connection Declarations for Servers
  */
 
-#ifndef __DRIZZLE_CON_SERVER_H
-#define __DRIZZLE_CON_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -223,5 +222,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CON_SERVER_H */

=== modified file 'libdrizzle-2.0/constants.h'
--- libdrizzle-2.0/constants.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/constants.h	2011-11-07 15:04:16 +0000
@@ -1,6 +1,7 @@
 /*
  * Drizzle Client & Protocol Library
  *
+ * Copyright (C) 2011 Brian Aker (brian@tangent.org)
  * Copyright (C) 2008 Eric Day (eday@oddments.org)
  * All rights reserved.
  *
@@ -34,14 +35,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Defines, typedefs, enums, and macros
  */
 
-#ifndef __DRIZZLE_CONSTANTS_H
-#define __DRIZZLE_CONSTANTS_H
-
 #include <stdint.h>
 
 #ifdef __cplusplus
@@ -92,7 +92,7 @@
 /**
  * Return codes.
  */
-typedef enum
+enum drizzle_return_t
 {
   DRIZZLE_RETURN_OK,
   DRIZZLE_RETURN_IO_WAIT,
@@ -119,13 +119,18 @@
   DRIZZLE_RETURN_NO_ACTIVE_CONNECTIONS,
   DRIZZLE_RETURN_HANDSHAKE_FAILED,
   DRIZZLE_RETURN_TIMEOUT,
+  DRIZZLE_RETURN_INVALID_ARGUMENT,
   DRIZZLE_RETURN_MAX /* Always add new codes to the end before this one. */
-} drizzle_return_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_return_t drizzle_return_t
+#endif
 
 /**
  * Verbosity levels.
  */
-typedef enum
+enum drizzle_verbose_t
 {
   DRIZZLE_VERBOSE_NEVER,
   DRIZZLE_VERBOSE_FATAL,
@@ -134,7 +139,11 @@
   DRIZZLE_VERBOSE_DEBUG,
   DRIZZLE_VERBOSE_CRAZY,
   DRIZZLE_VERBOSE_MAX
-} drizzle_verbose_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_verbose_t drizzle_verbose_t;
+#endif
 
 /** @} */
 
@@ -142,20 +151,24 @@
  * @ingroup drizzle
  * Options for drizzle_st.
  */
-typedef enum
+enum drizzle_options_t
 {
   DRIZZLE_NONE=            0,
   DRIZZLE_ALLOCATED=       (1 << 0),
   DRIZZLE_NON_BLOCKING=    (1 << 1),
   DRIZZLE_FREE_OBJECTS=    (1 << 2),
   DRIZZLE_ASSERT_DANGLING= (1 << 3)
-} drizzle_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_options_t drizzle_options_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Options for drizzle_con_st.
  */
-typedef enum
+enum drizzle_con_options_t
 {
   DRIZZLE_CON_NONE=             0,
   DRIZZLE_CON_ALLOCATED=        (1 << 0),
@@ -171,23 +184,31 @@
   DRIZZLE_CON_INTERACTIVE=      (1 << 11),
   DRIZZLE_CON_MULTI_STATEMENTS= (1 << 12),
   DRIZZLE_CON_AUTH_PLUGIN=      (1 << 13)
-} drizzle_con_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_con_options_t drizzle_con_options_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Socket types for drizzle_con_st.
  */
-typedef enum
+enum drizzle_con_socket_t
 {
   DRIZZLE_CON_SOCKET_TCP= 0,
   DRIZZLE_CON_SOCKET_UDS= (1 << 0)
-} drizzle_con_socket_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_con_socket_t drizzle_con_socket_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Status flags for drizle_con_st.
  */
-typedef enum
+enum drizzle_con_status_t
 {
   DRIZZLE_CON_STATUS_NONE=                     0,
   DRIZZLE_CON_STATUS_IN_TRANS=                 (1 << 0),
@@ -200,13 +221,17 @@
   DRIZZLE_CON_STATUS_DB_DROPPED=               (1 << 8),
   DRIZZLE_CON_STATUS_NO_BACKSLASH_ESCAPES=     (1 << 9),
   DRIZZLE_CON_STATUS_QUERY_WAS_SLOW=           (1 << 10)
-} drizzle_con_status_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_con_status_t drizzle_con_status_t;
+#endif
 
 /**
  * @ingroup drizzle_con
  * Capabilities for drizzle_con_st.
  */
-typedef enum
+enum drizzle_capabilities_t
 {
   DRIZZLE_CAPABILITIES_NONE=                   0,
   DRIZZLE_CAPABILITIES_LONG_PASSWORD=          (1 << 0),
@@ -239,13 +264,17 @@
                                 DRIZZLE_CAPABILITIES_TRANSACTIONS |
                                 DRIZZLE_CAPABILITIES_PROTOCOL_41 |
                                 DRIZZLE_CAPABILITIES_SECURE_CONNECTION)
-} drizzle_capabilities_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_capabilities_t drizzle_capabilities_t;
+#endif
 
 /**
  * @ingroup drizzle_command 
  * Commands for drizzle_command functions.
  */
-typedef enum
+enum drizzle_command_t
 {
   DRIZZLE_COMMAND_SLEEP,               /* Not used currently. */
   DRIZZLE_COMMAND_QUIT,
@@ -278,13 +307,17 @@
   DRIZZLE_COMMAND_STMT_FETCH,          /* Not used currently. */
   DRIZZLE_COMMAND_DAEMON,              /* Not used currently. */
   DRIZZLE_COMMAND_END                  /* Not used currently. */
-} drizzle_command_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_command_t drizzle_command_t;
+#endif
 
 /**
  * @ingroup drizzle_command 
  * Commands for the Drizzle protocol functions.
  */
-typedef enum
+enum drizzle_command_drizzle_t
 {
   DRIZZLE_COMMAND_DRIZZLE_SLEEP,
   DRIZZLE_COMMAND_DRIZZLE_QUIT,
@@ -295,35 +328,47 @@
   DRIZZLE_COMMAND_DRIZZLE_PING,
   DRIZZLE_COMMAND_DRIZZLE_KILL,
   DRIZZLE_COMMAND_DRIZZLE_END
-} drizzle_command_drizzle_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_command_drizzle_t drizzle_command_drizzle_t;
+#endif
 
 /**
  * @ingroup drizzle_query
  * Options for drizzle_query_st.
  */
-typedef enum
+enum drizzle_query_options_t
 {
   DRIZZLE_QUERY_NONE,
   DRIZZLE_QUERY_ALLOCATED= (1 << 0)
-} drizzle_query_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_query_options_t drizzle_query_options_t;
+#endif
 
 /**
  * @ingroup drizzle_query
  * States for drizle_query_st.
  */
-typedef enum
+enum drizzle_query_state_t
 {
   DRIZZLE_QUERY_STATE_INIT,
   DRIZZLE_QUERY_STATE_QUERY,
   DRIZZLE_QUERY_STATE_RESULT,
   DRIZZLE_QUERY_STATE_DONE
-} drizzle_query_state_t;
+};
+
+#ifndef __cplusplus
+enum drizzle_query_state_t drizzle_query_state_t;
+#endif
 
 /**
  * @ingroup drizzle_result
  * Options for drizzle_result_st.
  */
-typedef enum
+enum drizzle_result_options_t
 {
   DRIZZLE_RESULT_NONE=          0,
   DRIZZLE_RESULT_ALLOCATED=     (1 << 0),
@@ -332,22 +377,30 @@
   DRIZZLE_RESULT_BUFFER_ROW=    (1 << 3),
   DRIZZLE_RESULT_EOF_PACKET=    (1 << 4),
   DRIZZLE_RESULT_ROW_BREAK=     (1 << 5)
-} drizzle_result_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_result_options_t drizzle_result_options_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Options for drizzle_column_st.
  */
-typedef enum
+enum drizzle_column_options_t
 {
   DRIZZLE_COLUMN_ALLOCATED= (1 << 0)
-} drizzle_column_options_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_options_t drizzle_column_options_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Types for drizzle_column_st.
  */
-typedef enum
+enum drizzle_column_type_t
 {
   DRIZZLE_COLUMN_TYPE_DECIMAL,
   DRIZZLE_COLUMN_TYPE_TINY,
@@ -376,13 +429,17 @@
   DRIZZLE_COLUMN_TYPE_VAR_STRING=  253,
   DRIZZLE_COLUMN_TYPE_STRING=      254,
   DRIZZLE_COLUMN_TYPE_GEOMETRY=    255
-} drizzle_column_type_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_type_t drizzle_column_type_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Types for drizzle_column_st for Drizzle.
  */
-typedef enum
+enum drizzle_column_type_drizzle_t
 {
   DRIZZLE_COLUMN_TYPE_DRIZZLE_TINY,
   DRIZZLE_COLUMN_TYPE_DRIZZLE_LONG,
@@ -401,13 +458,17 @@
   DRIZZLE_COLUMN_TYPE_DRIZZLE_UUID,
   DRIZZLE_COLUMN_TYPE_DRIZZLE_MICROTIME,
   DRIZZLE_COLUMN_TYPE_DRIZZLE_MAX=DRIZZLE_COLUMN_TYPE_DRIZZLE_MICROTIME
-} drizzle_column_type_drizzle_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_type_drizzle_t drizzle_column_type_drizzle_t;
+#endif
 
 /**
  * @ingroup drizzle_column
  * Flags for drizzle_column_st.
  */
-typedef enum
+enum drizzle_column_flags_t
 {
   DRIZZLE_COLUMN_FLAGS_NONE=             0,
   DRIZZLE_COLUMN_FLAGS_NOT_NULL=         (1 << 0),
@@ -433,7 +494,11 @@
   DRIZZLE_COLUMN_FLAGS_IN_PART_FUNC=     (1 << 19),
   DRIZZLE_COLUMN_FLAGS_IN_ADD_INDEX=     (1 << 20),
   DRIZZLE_COLUMN_FLAGS_RENAMED=          (1 << 21)
-} drizzle_column_flags_t;
+};
+
+#ifndef __cplusplus
+typedef enum drizzle_column_flags_t drizzle_column_flags_t;
+#endif
 
 /**
  * @addtogroup drizzle_types Types
@@ -570,5 +635,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CONSTANTS_H */

=== modified file 'libdrizzle-2.0/drizzle.h'
--- libdrizzle-2.0/drizzle.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/drizzle.h	2011-11-07 15:04:16 +0000
@@ -34,15 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Drizzle Declarations
  */
 
-#ifndef __DRIZZLE_H
-#define __DRIZZLE_H
-
-
 #include <inttypes.h>
 #include <sys/types.h>
 
@@ -435,5 +433,3 @@
 #ifdef  __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_H */

=== modified file 'libdrizzle-2.0/drizzle_client.h'
--- libdrizzle-2.0/drizzle_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/drizzle_client.h	2011-11-07 15:04:16 +0000
@@ -34,15 +34,13 @@
  *
  */
 
+#pragma once
 
 /**
  * @file
  * @brief Drizzle Declarations for Clients
  */
 
-#ifndef __DRIZZLE_CLIENT_H
-#define __DRIZZLE_CLIENT_H
-
 #include <libdrizzle-2.0/drizzle.h>
 #include <libdrizzle-2.0/conn_client.h>
 #include <libdrizzle-2.0/handshake_client.h>
@@ -113,5 +111,3 @@
 #ifdef  __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_CLIENT_H */

=== modified file 'libdrizzle-2.0/drizzle_local.h'
--- libdrizzle-2.0/drizzle_local.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/drizzle_local.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Local Drizzle Declarations
  */
 
-#ifndef __DRIZZLE_LOCAL_H
-#define __DRIZZLE_LOCAL_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -162,5 +161,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_LOCAL_H */

=== modified file 'libdrizzle-2.0/drizzle_server.h'
--- libdrizzle-2.0/drizzle_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/drizzle_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Drizzle Declarations for Servers
  */
 
-#ifndef __DRIZZLE_SERVER_H
-#define __DRIZZLE_SERVER_H
-
 #include <libdrizzle-2.0/drizzle.h>
 #include <libdrizzle-2.0/conn_server.h>
 #include <libdrizzle-2.0/handshake_server.h>
@@ -130,5 +129,3 @@
 #ifdef  __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_SERVER_H */

=== modified file 'libdrizzle-2.0/field_client.h'
--- libdrizzle-2.0/field_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/field_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Field Declarations for Clients
  */
 
-#ifndef __DRIZZLE_FIELD_CLIENT_H
-#define __DRIZZLE_FIELD_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -84,5 +83,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_FIELD_CLIENT_H */

=== modified file 'libdrizzle-2.0/field_server.h'
--- libdrizzle-2.0/field_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/field_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Field Declarations for Servers
  */
 
-#ifndef __DRIZZLE_FIELD_SERVER_H
-#define __DRIZZLE_FIELD_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -64,5 +63,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_FIELD_SERVER_H */

=== modified file 'libdrizzle-2.0/handshake_client.h'
--- libdrizzle-2.0/handshake_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/handshake_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Handshake Declarations for Clients
  */
 
-#ifndef __DRIZZLE_HANDSHAKE_CLIENT_H
-#define __DRIZZLE_HANDSHAKE_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -81,5 +80,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_HANDSHAKE_CLIENT_H */

=== modified file 'libdrizzle-2.0/handshake_server.h'
--- libdrizzle-2.0/handshake_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/handshake_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Handshake Declarations for Servers
  */
 
-#ifndef __DRIZZLE_HANDSHAKE_SERVER_H
-#define __DRIZZLE_HANDSHAKE_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -79,5 +78,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_HANDSHAKE_SERVER_H */

=== modified file 'libdrizzle-2.0/include.am'
--- libdrizzle-2.0/include.am	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/include.am	2011-11-05 03:32:21 +0000
@@ -135,33 +135,33 @@
 examples_sqlite_server_SOURCES= examples/sqlite_server.cc
 endif
 
-dist_libdrizzleinstall_HEADERS= \
-				libdrizzle-2.0/column.h \
-				libdrizzle-2.0/column_client.h \
-				libdrizzle-2.0/column_server.h \
-				libdrizzle-2.0/command_client.h \
-				libdrizzle-2.0/command_server.h \
-				libdrizzle-2.0/conn.h \
-				libdrizzle-2.0/conn_client.h \
-				libdrizzle-2.0/conn_server.h \
-				libdrizzle-2.0/constants.h \
-				libdrizzle-2.0/drizzle.h \
-				libdrizzle-2.0/drizzle_client.h \
-				libdrizzle-2.0/drizzle_server.h \
-				libdrizzle-2.0/field_client.h \
-				libdrizzle-2.0/field_server.h \
-				libdrizzle-2.0/handshake_client.h \
-				libdrizzle-2.0/handshake_server.h \
-				libdrizzle-2.0/libdrizzle.h \
-				libdrizzle-2.0/libdrizzle.hpp \
-				libdrizzle-2.0/query.h \
-				libdrizzle-2.0/result.h \
-				libdrizzle-2.0/result_client.h \
-				libdrizzle-2.0/result_server.h \
-				libdrizzle-2.0/row_client.h \
-				libdrizzle-2.0/row_server.h \
-				libdrizzle-2.0/structs.h \
-				libdrizzle-2.0/visibility.h
+nobase_include_HEADERS+= \
+			 libdrizzle-2.0/column.h \
+			 libdrizzle-2.0/column_client.h \
+			 libdrizzle-2.0/column_server.h \
+			 libdrizzle-2.0/command_client.h \
+			 libdrizzle-2.0/command_server.h \
+			 libdrizzle-2.0/conn.h \
+			 libdrizzle-2.0/conn_client.h \
+			 libdrizzle-2.0/conn_server.h \
+			 libdrizzle-2.0/constants.h \
+			 libdrizzle-2.0/drizzle.h \
+			 libdrizzle-2.0/drizzle_client.h \
+			 libdrizzle-2.0/drizzle_server.h \
+			 libdrizzle-2.0/field_client.h \
+			 libdrizzle-2.0/field_server.h \
+			 libdrizzle-2.0/handshake_client.h \
+			 libdrizzle-2.0/handshake_server.h \
+			 libdrizzle-2.0/libdrizzle.h \
+			 libdrizzle-2.0/libdrizzle.hpp \
+			 libdrizzle-2.0/query.h \
+			 libdrizzle-2.0/result.h \
+			 libdrizzle-2.0/result_client.h \
+			 libdrizzle-2.0/result_server.h \
+			 libdrizzle-2.0/row_client.h \
+			 libdrizzle-2.0/row_server.h \
+			 libdrizzle-2.0/structs.h \
+			 libdrizzle-2.0/visibility.h
 
 noinst_HEADERS+= \
 		 libdrizzle-2.0/common.h \
@@ -170,9 +170,3 @@
 		 libdrizzle-2.0/pack.h \
 		 libdrizzle-2.0/state.h \
 		 libdrizzle-2.0/sha1.h
-
-
-libdrizzle: libdrizzle-2.0/libdrizzle-2.0.la
-install-libdrizzle: libdrizzle install-dist_libdrizzleinstallHEADERS
-	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
-	$(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) libdrizzle-2.0/libdrizzle-2.0.la "$(DESTDIR)$(libdir)"

=== modified file 'libdrizzle-2.0/pack.h'
--- libdrizzle-2.0/pack.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/pack.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Packing Declarations
  */
 
-#ifndef __DRIZZLE_PACK_H
-#define __DRIZZLE_PACK_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -92,5 +91,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_PACK_H */

=== modified file 'libdrizzle-2.0/query.h'
--- libdrizzle-2.0/query.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/query.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Query Declarations
  */
 
-#ifndef __DRIZZLE_QUERY_H
-#define __DRIZZLE_QUERY_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -241,5 +240,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_QUERY_H */

=== modified file 'libdrizzle-2.0/result.cc'
--- libdrizzle-2.0/result.cc	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/result.cc	2011-11-07 15:04:16 +0000
@@ -107,7 +107,9 @@
 {
   result= drizzle_result_create(con, result);
   if (result == NULL)
+  {
     return NULL;
+  }
 
   result->options|= from->options & ~DRIZZLE_RESULT_ALLOCATED;
 
@@ -128,8 +130,15 @@
   drizzle_column_st *column;
   uint64_t x;
 
+  if (result == NULL)
+  {
+    return;
+  }
+
   for (column= result->column_list; column != NULL; column= result->column_list)
+  {
     drizzle_column_free(column);
+  }
 
   delete[] result->column_buffer;
 
@@ -160,61 +169,118 @@
 void drizzle_result_free_all(drizzle_con_st *con)
 {
   while (con->result_list != NULL)
+  {
     drizzle_result_free(con->result_list);
+  }
 }
 
 drizzle_con_st *drizzle_result_drizzle_con(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->con;
 }
 
 bool drizzle_result_eof(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return false;
+  }
+
   return (result->options & DRIZZLE_RESULT_EOF_PACKET) ? true : false;
 }
 
 const char *drizzle_result_info(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->info;
 }
 
 const char *drizzle_result_error(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->info;
 }
 
 uint16_t drizzle_result_error_code(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->error_code;
 }
 
 const char *drizzle_result_sqlstate(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return NULL;
+  }
+
   return result->sqlstate;
 }
 
 uint16_t drizzle_result_warning_count(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->warning_count;
 }
 
 uint64_t drizzle_result_insert_id(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->insert_id;
 }
 
 uint64_t drizzle_result_affected_rows(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->affected_rows;
 }
 
 uint16_t drizzle_result_column_count(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->column_count;
 }
 
 uint64_t drizzle_result_row_count(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->row_count;
 }
 
@@ -226,6 +292,18 @@
                                        drizzle_result_st *result,
                                        drizzle_return_t *ret_ptr)
 {
+  drizzle_return_t unused;
+  if (ret_ptr == NULL)
+  {
+    ret_ptr= &unused;
+  }
+
+  if (con == NULL)
+  {
+    *ret_ptr= DRIZZLE_RETURN_INVALID_ARGUMENT;
+    return NULL;
+  }
+
   if (drizzle_state_none(con))
   {
     con->result= drizzle_result_create(con, result);
@@ -245,6 +323,11 @@
 
 drizzle_return_t drizzle_result_buffer(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   drizzle_return_t ret;
   drizzle_row_t row;
 
@@ -291,6 +374,11 @@
 
 size_t drizzle_result_row_size(drizzle_result_st *result)
 {
+  if (result == NULL)
+  {
+    return 0;
+  }
+
   return result->con->packet_size;
 }
 
@@ -301,6 +389,11 @@
 drizzle_return_t drizzle_result_write(drizzle_con_st *con,
                                       drizzle_result_st *result, bool flush)
 {
+  if (con == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   if (drizzle_state_none(con))
   {
     con->result= result;
@@ -316,6 +409,11 @@
 
 void drizzle_result_set_row_size(drizzle_result_st *result, size_t size)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->con->packet_size= size;
 }
 
@@ -323,6 +421,11 @@
                                   const drizzle_field_t *field,
                                   const size_t *size)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   uint16_t x;
 
   result->con->packet_size= 0;
@@ -344,6 +447,11 @@
 
 void drizzle_result_set_eof(drizzle_result_st *result, bool is_eof)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   if (is_eof)
     result->options|= DRIZZLE_RESULT_EOF_PACKET;
   else
@@ -352,8 +460,15 @@
 
 void drizzle_result_set_info(drizzle_result_st *result, const char *info)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   if (info == NULL)
+  {
     result->info[0]= 0;
+  }
   else
   {
     strncpy(result->info, info, DRIZZLE_MAX_INFO_SIZE);
@@ -363,20 +478,37 @@
 
 void drizzle_result_set_error(drizzle_result_st *result, const char *error)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   drizzle_result_set_info(result, error);
 }
 
 void drizzle_result_set_error_code(drizzle_result_st *result,
                                    uint16_t error_code)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->error_code= error_code;
 }
 
 void drizzle_result_set_sqlstate(drizzle_result_st *result,
                                  const char *sqlstate)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   if (sqlstate == NULL)
+  {
     result->sqlstate[0]= 0;
+  }
   else
   {
     strncpy(result->sqlstate, sqlstate, DRIZZLE_MAX_SQLSTATE_SIZE + 1);
@@ -387,24 +519,44 @@
 void drizzle_result_set_warning_count(drizzle_result_st *result,
                                       uint16_t warning_count)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->warning_count= warning_count;
 }
 
 void drizzle_result_set_insert_id(drizzle_result_st *result,
                                   uint64_t insert_id)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->insert_id= insert_id;
 }
 
 void drizzle_result_set_affected_rows(drizzle_result_st *result,
                                       uint64_t affected_rows)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->affected_rows= affected_rows;
 }
 
 void drizzle_result_set_column_count(drizzle_result_st *result,
                                      uint16_t column_count)
 {
+  if (result == NULL)
+  {
+    return;
+  }
+
   result->column_count= column_count;
 }
 
@@ -416,6 +568,12 @@
 {
   drizzle_return_t ret;
 
+  if (con == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
+
   drizzle_log_debug(con->drizzle, "drizzle_state_result_read");
 
   /* Assume the entire result packet will fit in the buffer. */
@@ -496,6 +654,11 @@
 
 drizzle_return_t drizzle_state_result_write(drizzle_con_st *con)
 {
+  if (con == NULL)
+  {
+    return DRIZZLE_RETURN_INVALID_ARGUMENT;
+  }
+
   uint8_t *start= con->buffer_ptr + con->buffer_size;
   uint8_t *ptr;
   drizzle_result_st *result= con->result;

=== modified file 'libdrizzle-2.0/result.h'
--- libdrizzle-2.0/result.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/result.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Result Declarations
  */
 
-#ifndef __DRIZZLE_RESULT_H
-#define __DRIZZLE_RESULT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -153,5 +152,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_RESULT_H */

=== modified file 'libdrizzle-2.0/result_client.h'
--- libdrizzle-2.0/result_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/result_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Result Declarations for Clients
  */
 
-#ifndef __DRIZZLE_RESULT_CLIENT_H
-#define __DRIZZLE_RESULT_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -79,5 +78,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_RESULT_CLIENT_H */

=== modified file 'libdrizzle-2.0/result_server.h'
--- libdrizzle-2.0/result_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/result_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Result Declarations for Servers
  */
 
-#ifndef __DRIZZLE_RESULT_SERVER_H
-#define __DRIZZLE_RESULT_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -140,5 +139,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_RESULT_SERVER_H */

=== modified file 'libdrizzle-2.0/row_client.h'
--- libdrizzle-2.0/row_client.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/row_client.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Row Declarations for Clients
  */
 
-#ifndef __DRIZZLE_ROW_CLIENT_H
-#define __DRIZZLE_ROW_CLIENT_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -129,5 +128,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_ROW_CLIENT_H */

=== modified file 'libdrizzle-2.0/row_server.h'
--- libdrizzle-2.0/row_server.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/row_server.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Row Declarations for Servers
  */
 
-#ifndef __DRIZZLE_ROW_SERVER_H
-#define __DRIZZLE_ROW_SERVER_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -65,5 +64,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_ROW_SERVER_H */

=== modified file 'libdrizzle-2.0/sha1.h'
--- libdrizzle-2.0/sha1.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/sha1.h	2011-11-07 15:04:16 +0000
@@ -1,11 +1,10 @@
+#pragma once
+
 /**
  * @file
  * @brief SHA1 Declarations
  */
 
-#ifndef _SHA1_H
-#define _SHA1_H
-
 #ifdef  __cplusplus
 extern "C" {
 #endif
@@ -43,5 +42,3 @@
 #ifdef  __cplusplus
 }
 #endif
-
-#endif /* _SHA1_H */

=== modified file 'libdrizzle-2.0/state.cc'
--- libdrizzle-2.0/state.cc	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/state.cc	2011-11-07 15:04:16 +0000
@@ -43,7 +43,7 @@
 
 drizzle_return_t drizzle_state_loop(drizzle_con_st *con)
 {
-  while (!drizzle_state_none(con))
+  while (drizzle_state_none(con) == false)
   {
     drizzle_return_t ret= con->state_stack[con->state_current - 1](con);
     if (ret != DRIZZLE_RETURN_OK)

=== modified file 'libdrizzle-2.0/state.h'
--- libdrizzle-2.0/state.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/state.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief State Machine Declarations
  */
 
-#ifndef __DRIZZLE_STATE_H
-#define __DRIZZLE_STATE_H
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -107,5 +106,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_STATE_H */

=== modified file 'libdrizzle-2.0/structs.h'
--- libdrizzle-2.0/structs.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/structs.h	2011-11-07 15:04:16 +0000
@@ -34,14 +34,13 @@
  *
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Struct Definitions
  */
 
-#ifndef __DRIZZLE_STRUCTS_H
-#define __DRIZZLE_STRUCTS_H
-
 #include <sys/types.h>
 
 #ifndef NI_MAXHOST
@@ -365,5 +364,3 @@
 #ifdef __cplusplus
 }
 #endif
-
-#endif /* __DRIZZLE_STRUCTS_H */

=== modified file 'libdrizzle-2.0/visibility.h'
--- libdrizzle-2.0/visibility.h	2011-11-04 21:06:16 +0000
+++ libdrizzle-2.0/visibility.h	2011-11-07 15:04:16 +0000
@@ -36,13 +36,13 @@
  * Implementation drawn from visibility.texi in gnulib.
  */
 
+#pragma once
+
 /**
  * @file
  * @brief Visibility Control Macros
  */
 
-#pragma once
-
 /**
  *
  * DRIZZLE_API is used for the public API symbols. It either DLL imports or

=== added file 'libdrizzle/drizzle_client.h'
--- libdrizzle/drizzle_client.h	1970-01-01 00:00:00 +0000
+++ libdrizzle/drizzle_client.h	2011-11-07 15:04:16 +0000
@@ -0,0 +1,39 @@
+/*  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Libdrizzle Library
+ *
+ *  Copyright (C) 2011 Brian Aker, brian@tangent.org
+ *
+ *  Redistribution and use in source and binary forms, with or without
+ *  modification, are permitted provided that the following conditions are
+ *  met:
+ *
+ *      * Redistributions of source code must retain the above copyright
+ *  notice, this list of conditions and the following disclaimer.
+ *
+ *      * Redistributions in binary form must reproduce the above
+ *  copyright notice, this list of conditions and the following disclaimer
+ *  in the documentation and/or other materials provided with the
+ *  distribution.
+ *
+ *      * The names of its contributors may not be used to endorse or
+ *  promote products derived from this software without specific prior
+ *  written permission.
+ *
+ *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ *
+ */
+
+#pragma once
+
+#include <libdrizzle-1.0/drizzle_client.h>

=== modified file 'libdrizzle/include.am'
--- libdrizzle/include.am	2011-11-02 23:53:56 +0000
+++ libdrizzle/include.am	2011-11-07 15:04:16 +0000
@@ -1,3 +1,4 @@
 # vim:ft=automake
 
-nobase_include_HEADERS= libdrizzle/drizzle.h
+nobase_include_HEADERS+= libdrizzle/drizzle.h
+nobase_include_HEADERS+= libdrizzle/drizzle_client.h

=== modified file 'support-files/drizzle7.pc.in'
--- support-files/drizzle7.pc.in	2011-02-11 22:57:37 +0000
+++ support-files/drizzle7.pc.in	2011-11-07 15:04:16 +0000
@@ -4,7 +4,8 @@
 pkgincludedir=@pkgincludedir@
 
 Name: drizzle7
-Description: Drizzle Development Headers
+Description: Drizzle CLI
 Version: @VERSION@
+URL: http://drizzle.org/
 Cflags: -I${pkgincludedir}
 

=== modified file 'support-files/libdrizzle-1.0.pc.in'
--- support-files/libdrizzle-1.0.pc.in	2011-03-22 18:39:54 +0000
+++ support-files/libdrizzle-1.0.pc.in	2011-11-07 15:04:16 +0000
@@ -2,10 +2,10 @@
 exec_prefix=@exec_prefix@
 libdir=@libdir@
 includedir=@includedir@
-libdrizzleincludedir=@oldlibdrizzleincludedir@
 
 Name: libdrizzle-1.0
-Description: Drizzle Client & Protocol Library
+Description: Drizzle Protocol Library
 Version: @PANDORA_RELEASE_VERSION@
 Libs: -L${libdir} -ldrizzle
-Cflags: -I${libdrizzleincludedir}
+URL: http://drizzle.org/
+Cflags: -I$@includedir@/libdrizzle-1.0

=== modified file 'support-files/libdrizzle-2.0.pc.in'
--- support-files/libdrizzle-2.0.pc.in	2011-03-31 22:51:58 +0000
+++ support-files/libdrizzle-2.0.pc.in	2011-11-07 15:04:16 +0000
@@ -2,10 +2,10 @@
 exec_prefix=@exec_prefix@
 libdir=@libdir@
 includedir=@includedir@
-libdrizzleincludedir=@libdrizzleincludedir@
 
 Name: libdrizzle-2.0
-Description: Drizzle Client & Protocol Library
+Description: Drizzle Protocol Library
 Version: @PANDORA_RELEASE_VERSION@
 Libs: -L${libdir} -ldrizzle-2.0
-Cflags: -I${libdrizzleincludedir}
+URL: http://drizzle.org/
+Cflags: -I$@includedir@/libdrizzle-2.0

=== added file 'support-files/libdrizzle.pc.in'
--- support-files/libdrizzle.pc.in	1970-01-01 00:00:00 +0000
+++ support-files/libdrizzle.pc.in	2011-11-07 15:04:16 +0000
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: libdrizzle
+Description: Drizzle Protocol Library
+Version: @PANDORA_RELEASE_VERSION@
+Libs: -L${libdir} -ldrizzle
+URL: http://drizzle.org/
+Cflags: -I$@includedir@

